Bug 492014 - Pidgin freeze and crash
Pidgin freeze and crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499379
  Show dependency treegraph
 
Reported: 2009-03-24 19:24 EDT by Aníbal Deboni Neto
Modified: 2009-12-18 04:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome crash report (702.02 KB, text/plain)
2009-03-24 19:34 EDT, Aníbal Deboni Neto
no flags Details
backtrace of the sigsev (4.81 KB, application/octet-stream)
2009-04-07 15:11 EDT, Eric Doutreleau
no flags Details
pidgin gnome bugreport (2.30 KB, text/plain)
2009-04-22 11:57 EDT, Mauricio Teixeira
no flags Details
pidgin stack trace (6.62 KB, text/plain)
2009-04-22 11:57 EDT, Mauricio Teixeira
no flags Details
Another gdb backtrace (5.40 KB, text/plain)
2009-05-18 07:05 EDT, Mauricio Teixeira
no flags Details

  None (edit)
Description Aníbal Deboni Neto 2009-03-24 19:24:56 EDT
Pidgin 2.5.5-1.fc10 constantly freeze while running and shows the attached crash report.
Comment 1 Aníbal Deboni Neto 2009-03-24 19:34:39 EDT
Created attachment 336572 [details]
gnome crash report
Comment 2 Eric Doutreleau 2009-04-07 15:08:30 EDT
i have the same problems
i put an attachment of the crash
Comment 3 Eric Doutreleau 2009-04-07 15:11:29 EDT
Created attachment 338580 [details]
backtrace of the sigsev
Comment 4 Mauricio Teixeira 2009-04-22 11:57:02 EDT
I have the same problem. I am attaching both the bug report and the stack trace.
Comment 5 Mauricio Teixeira 2009-04-22 11:57:28 EDT
Created attachment 340766 [details]
pidgin gnome bugreport
Comment 6 Mauricio Teixeira 2009-04-22 11:57:48 EDT
Created attachment 340767 [details]
pidgin stack trace
Comment 7 Mauricio Teixeira 2009-04-23 13:22:43 EDT
FWIW, I noticed I did not had this problem on my home desktop, but did have it on work laptop. The difference is that on my home desktop I had checked "Mute sounds" on the sounds tab at the preferences window. Once I checked this option on my work laptop, pidgin stops crashing. I hope it helps.
Comment 8 Mauricio Teixeira 2009-05-18 07:02:06 EDT
Pidgin is now crashing again, even with sound disabled.
Comment 9 Mauricio Teixeira 2009-05-18 07:02:51 EDT
BTW, I removed ~/.purple and started over, and crash persists.
Comment 10 Mauricio Teixeira 2009-05-18 07:05:10 EDT
Created attachment 344417 [details]
Another gdb backtrace
Comment 11 Mauricio Teixeira 2009-05-19 08:22:20 EDT
More info.

Yesterday I have successfully run pidgin from Valgrind -without- any crashes, even though for every single action Valgrind complained about memory leaks.

This morning I tried running pidgin with "-d", and a few minutes after starting it up I got:

(09:18:21) facebook: got new messages: for (;;);{"t":"continue"}
(09:18:21) msn: S: SB 013: MSG fake@email fakeName 532
(09:18:21) GLib: gmem.c:136: failed to allocate 2264989697 bytes

warning: the debug information found in "/usr/lib/debug//lib/libglib-2.0.so.0.1800.4.debug" does not match "/lib/libglib-2.0.so.0" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/lib/libglib-2.0.so.0.1800.4.debug" does not match "/lib/libglib-2.0.so.0" (CRC mismatch).

dns[5510]: Oops, father has gone, wait for me, wait...!
Comment 12 Mauricio Teixeira 2009-05-21 09:39:49 EDT
I managed to figure out two things that make Pidgin crash.

a) MSN users with unicode characters on display name (ã, é, and such).

b) Facebook plugin.

I hope this helps.
Comment 13 Bug Zapper 2009-11-18 04:56:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 04:06:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.